<?php
/**
 * Enqueue all styles and scripts
 *
 * @package thecx
 * @since thecx 1.0.0
 */

function thecx_load_js_css_file() {

  /*----------google -fonts ------------------*/
   // Body font 
  $thecx_font_body_name         = thecx_get_option('body_font_family');
  $thecx_font_weight_style      = thecx_get_option('body_font_to_load');
  $thecx_main_text_font_subsets = thecx_get_option('body_font_subsets');

  $thecx_font_weight_style = str_replace(",", ";", "$thecx_font_weight_style");
  // Header font 
  $font_header_name                     = thecx_get_option('head_font_family');
  $thecx_heading_font_weight_style = thecx_get_option('head_font_to_load');
  $thecx_heading_text_font_subsets = thecx_get_option('head_font_subsets');

  $thecx_heading_font_weight_style = str_replace(",", ";", "$thecx_heading_font_weight_style");
  // Navigation font 
  $thecx_navigation_font_familly      = thecx_get_option('nav_font_family', "default");
  $thecx_navigation_font_weight_style = thecx_get_option('nav_font_to_load');
  $thecx_navigation_text_font_subsets = thecx_get_option('nav_font_subsets');

  $thecx_navigation_font_weight_style = str_replace(",", ";", "$thecx_navigation_font_weight_style");

 // Genarate google font link
  $font_familly_array = [ $thecx_font_body_name          => $thecx_font_weight_style ,
                          $font_header_name                   =>  $thecx_heading_font_weight_style,
                          $thecx_navigation_font_familly => $thecx_navigation_font_weight_style ];
  $font_subsets = [$thecx_main_text_font_subsets,
                   $thecx_heading_text_font_subsets,
                   $thecx_navigation_text_font_subsets];
  $thecx_google_fonts_url = thecx_google_fonts_url(array_unique($font_familly_array),array_unique(array_filter($font_subsets)));
  if(thecx_get_option('use_default_font') == 'on') {
    wp_enqueue_style('thecx-default-fonts', "https://fonts.googleapis.com/css2?family=Maven+Pro:wght@400..900&amp;display=swap" , array(), '1.0.0');
  }else{
    wp_enqueue_style('thecx-google-fonts', $thecx_google_fonts_url , array(), null);
  }
  
  
 

  /*--------------------------*/

   
	wp_enqueue_style('animation-custom',   get_template_directory_uri() . "/css/animate-custom.css");
	wp_enqueue_style('fontawesome-min',    get_template_directory_uri() . "/css/fontawesome.min.css");
	wp_enqueue_style('foundation-min',     get_template_directory_uri() . "/css/foundation.min.css");
	wp_enqueue_style('mediaelementplayer', get_template_directory_uri() . "/css/mediaelementplayer.css");
	wp_enqueue_style('swiper-bundle',      get_template_directory_uri() . "/css/swiper-bundle.min.css");
	wp_enqueue_style('thecx-app',     	   get_template_directory_uri() . "/css/app.css");
	wp_enqueue_style('thecx-style',    	   get_template_directory_uri() . '/style.css');


  if (is_singular() && get_option('thread_comments'))
    wp_enqueue_script('comment-reply');


  wp_enqueue_script('imagesloaded', get_template_directory_uri() . "/js/plugins/imagesloaded.pkgd.min.js", array('jquery', 'hoverIntent'), '1.0.0', true);
  wp_enqueue_script('wd-script',    get_template_directory_uri() . "/js/wd-script.min.js", array('jquery', 'hoverIntent'), '1.0.0', true);
  $thecx_protocol = is_ssl() ? 'https' : 'http';
  $google_key_map = thecx_get_option('google_key_map');
  if ($google_key_map != ""){
	  wp_enqueue_script('googlemapskey', $thecx_protocol."://maps.googleapis.com/maps/api/js?key=" . $google_key_map . "", array('jquery'), '4.4.2', false);
  }

  // localize the Filter Models script with new data
  $wnm_custom = array('template_url' => esc_url(home_url('/')));
  wp_localize_script('wd-script', 'urltheme', $wnm_custom);

  include_once(get_template_directory() . '/inc/custom-style/custom-style.php');

  wp_add_inline_style('thecx-style', $thecx_custom_css);
  //*********/inline style***************/

}

add_action('wp_enqueue_scripts', 'thecx_load_js_css_file');