<?php
/**
 * Register theme support for languages, menus, post-thumbnails, post-formats etc.
 *
 */

if ( ! function_exists( 'thecx_theme_support' ) ) {
  function thecx_theme_support()
  {
    load_theme_textdomain('thecx', get_template_directory() . '/languages');

    if (function_exists('add_theme_support')) {
      add_theme_support('post-thumbnails');
      add_theme_support('post-formats', array('gallery', 'link', 'quote', 'video', 'audio'));
      add_theme_support('automatic-feed-links');
      add_theme_support('woocommerce');
      add_theme_support('custom-background');
      add_theme_support('title-tag');
	    $args = array(
		    'width'         => 1920,
		    'height'        => 470,
	    );
	    add_theme_support( 'custom-header', $args );

      add_theme_support( 'editor-styles' );
      add_editor_style( 'editor.css' );
      add_theme_support( 'align-wide' );
      add_theme_support( 'editor-color-palette', array(
        array(
          'name'  => esc_html__( 'Primary Color', 'thecx' ),
          'slug'  => 'primary',
          'color'	=> '#0083FF',
        ),
        array(
          'name'  => esc_html__( 'Secondary color ', 'thecx' ),
          'slug'  => 'secondary ',
          'color' => '#253953',
        ),
      ) );
      add_theme_support( 'editor-font-sizes', array(
        array(
          'name'      => esc_html__( 'small', 'thecx' ),
          'shortName' => esc_html__( 'S', 'thecx' ),
          'size'      => 13,
          'slug'      => 'small'
        ),
        array(
          'name'      => esc_html__( 'regular', 'thecx' ),
          'shortName' => esc_html__( 'M', 'thecx' ),
          'size'      => 16,
          'slug'      => 'regular'
        ),
        array(
          'name'      => esc_html__( 'large', 'thecx' ),
          'shortName' => esc_html__( 'L', 'thecx' ),
          'size'      => 36,
          'slug'      => 'large'
        ),
      ) );
    }

  }

  add_action('after_setup_theme', 'thecx_theme_support');
}
add_theme_support( 'editor-styles' );

// Enqueue editor styles.
add_editor_style( 'editor-style.css' );