<?php
global $vc_add_css_animation;
global $wd_fonts_array;

vc_map(array(
	"name" => esc_html__("Headings", 'thecx'),
	"base" => "wd_headings",
	"icon" => get_template_directory_uri() . "/images/icon/meknes.png",
	"content_element" => true,
	"is_container" => FALSE,
	"category" => 'Webdevia',
	"params" => array(
		array(
			"heading" => esc_html__("Layout", 'thecx'),
			"type" => "dropdown",
			"param_name" => "headings_layout",
			"value" => array(
				'Subtitle under the title' => "s-under-t",
				'Title under the subtitle' => "t-under-s",
				'Subtitle behind the  title' => "s-behind-t",
				'Title only' => "t-only"),
		),
		array(
			"heading" => esc_html__("Title", 'thecx'),
			"type" => "textfield",
			'value' => 'I am a title change me',
			"param_name" => "headings_title",
			"admin_label" => true,
		),
		array(
			"heading" => esc_html__("Title Tag", 'thecx'),
			"type" => "dropdown",
			"param_name" => "headings_title_tag",
			"value" => array('H2 (Default)' => 'h2',
				'H1' => 'h1',
				'H3' => 'h3',
				'H4' => 'h4',
				'H5' => 'h5',
				'H6' => 'h6'),
		),
		array(
			"heading" => esc_html__("Subtitle", 'thecx'),
			"type" => "textfield",
			'value' => 'I am a subtitle change me',
			"param_name" => "headings_subtitle",
			"dependency" => Array("element" => "headings_layout", "value" => array('s-under-t', 't-under-s', 's-behind-t')),
		),
		array(
			"heading" => esc_html__("Subtitle Tag", 'thecx'),
			"type" => "dropdown",
			"param_name" => "headings_subtitle_tag",
			"value" => array('H4 (Default)' => 'h4',
				'H1' => 'h1',
				'H2' => 'h2',
				'H3' => 'h3',
				'H5' => 'h5',
				'H6' => 'h6',
				'P' => 'p'),
			"dependency" => Array("element" => "headings_layout", "value" => array('s-under-t', 't-under-s', 's-behind-t')),
		),
		array(
			"heading" => esc_html__("Max Width", 'thecx'),
			"type" => "textfield",
			"param_name" => "headings_max_width",
			"description" => "Box Max Width (200px)",
		),
		array(
			"heading" => esc_html__("Heading Style", 'thecx'),
			"type" => "dropdown",
			"param_name" => "heading_style",
			"value" => array(
				'Style 1' => "heading_style_1",
				'Style 2' => "heading_style_2",
				'Style 3' => "heading_style_3",
			),
		),
		array(
			"type" => "checkbox",
			"heading" => esc_html__("Custom style", 'thecx'),
			"param_name" => "custom_style",
			"value" => array(esc_html__('Yes, please', 'thecx') => 'yes'),
		),
		array(
			"heading" => esc_html__("Alignment", 'thecx'),
			"type" => "dropdown",
			"param_name" => "headings_alignment",
			"value" => array(
				'Default' => "",
				'Center' => "center",
				'Left' => "left",
				'Right' => "right"),
			"dependency" => Array("element" => "custom_style", "value" => array('yes')),
		),
		array(
			"heading" => esc_html__("Separator Type", 'thecx'),
			"type" => "dropdown",
			"param_name" => "headings_separator",
			"value" => array(
				'Default' => "",
				'No separator' => "none",
				'Border' => "border",),
			"dependency" => Array("element" => "custom_style", "value" => array('yes')),
		),
		array(
			"heading" => esc_html__("Separator Position", 'thecx'),
			"type" => "dropdown",
			"param_name" => "headings_separator_position",
			"value" => array(
				'Default' => "",
				'Center' => "center",
				'Top' => "top",
				'Bottom' => "bottom"),
			"dependency" => Array("element" => "headings_separator", "value" => array('border')),
		),
		array(
			"heading" => esc_html__("Border Style", 'thecx'),
			"type" => "dropdown",
			"param_name" => "headings_separator_border_style",
			"value" => array(
				'Default' => "",
				'Solid' => "solid",
				'Dashed' => "dashed",
				'Dotted' => "dotted"),
			"dependency" => Array("element" => "headings_separator", "value" => array('border')),
		),
		array(
			"type" => "colorpicker",
			"heading" => esc_html__("Border Color", 'thecx'),
			"param_name" => "headings_separator_border_color",
			"value" => "#DB4436",
			"dependency" => Array("element" => "headings_separator", "value" => array('border')),
		),
		array(
			"type" => "textfield",
			"heading" => esc_html__("Border Width", 'thecx'),
			"param_name" => "headings_separator_border_width",
			"description" => "Width (200px)",
			"dependency" => Array("element" => "headings_separator", "value" => array('border')),
		),
		array(
			"type" => "textfield",
			"heading" => esc_html__("Border Height", 'thecx'),
			"param_name" => "headings_separator_border_height",
			"description" => "Border Width (3px)",
			"dependency" => Array("element" => "headings_separator", "value" => array('border')),
		),
		array(
			"type" => "textfield",
			"heading" => esc_html__("Margin between Title and subtitle", 'thecx'),
			"param_name" => "wd_heading_spacing",
			"dependency" => Array("element" => "custom_style", "value" => array('yes'),
				Array("element" => "headings_layout", "value" => array('s-under-t', 't-under-s', 's-behind-t'))
			),
		),


		//////////// Typography
		array(
			"type" => "dropdown",
			"heading" => esc_html__("Font Family", 'thecx'),
			"param_name" => "wd_heading_font_family",
			'value' => $wd_fonts_array,
			"group" => "Title Typography",
			"dependency" => Array("element" => "custom_style", "value" => array('yes')),
			'edit_field_class' => 'vc_col-xs-3 vc_column-with-padding',
		),
		array(
			"type" => "dropdown",
			"heading" => esc_html__("Font Style", 'thecx'),
			"param_name" => "wd_heading_font_style",
			'value' => array(
				esc_html__('Normal', 'thecx') => 'normal',
				esc_html__('Italic', 'thecx') => 'italic',
				esc_html__('Inherit', 'thecx') => 'inherit',
				esc_html__('Initial', 'thecx') => 'initial',
			),
			"group" => "Title Typography",
			"dependency" => Array("element" => "custom_style", "value" => array('yes')),
			'edit_field_class' => 'vc_col-xs-3',
		),
		array(
			"type" => "dropdown",
			"heading" => esc_html__("Font Weight", 'thecx'),
			"param_name" => "wd_heading_font_weight",
			'value' => array(
				esc_html__('Default', 'thecx') => '',
				'100' => '100',
				'200' => '200',
				'300' => '300',
				'400' => '400',
				'500' => '500',
				'600' => '600',
				'700' => '700',
				'800' => '800',
				'900' => '900',
			),
			"group" => "Title Typography",
			"dependency" => Array("element" => "custom_style", "value" => array('yes')),
			'edit_field_class' => 'vc_col-xs-3',
		),
		array(
			"type" => "dropdown",
			"heading" => esc_html__("Text Transform", 'thecx'),
			"param_name" => "wd_heading_text_transform",
			'value' => array(
				esc_html__('Default', 'thecx') => 'None',
				'lowercase' => 'Lowercase',
				'uppercase' => 'Uppercase',
				'capitalize' => 'Capitalize',
				'inherit' => 'Inherit',
			),
			"group" => "Title Typography",
			"dependency" => Array("element" => "custom_style", "value" => array('yes')),
			'edit_field_class' => 'vc_col-xs-3',
		),
		array(
			"type" => "textfield",
			"class" => "",
			"heading" => esc_html__("Font Size", 'thecx'),
			"param_name" => "wd_heading_font_size",
			"min" => 14,
			"suffix" => "px",
			"group" => "Title Typography",
			"dependency" => Array("element" => "custom_style", "value" => array('yes')),
			'edit_field_class' => 'vc_col-xs-3',
		),
		array(
			"type" => "textfield",
			"class" => "",
			"heading" => esc_html__("Line Height", 'thecx'),
			"param_name" => "wd_heading_line_height",
			"value" => "",
			"suffix" => "px",
			"group" => "Title Typography",
			"dependency" => Array("element" => "custom_style", "value" => array('yes')),
			'edit_field_class' => 'vc_col-xs-3',
		),
		array(
			"type" => "textfield",
			"class" => "",
			"heading" => esc_html__("Letter spacing", 'thecx'),
			"param_name" => "wd_heading_letter_spacing",
			"value" => "",
			"suffix" => "px",
			"group" => "Title Typography",
			"dependency" => Array("element" => "custom_style", "value" => array('yes')),
			'edit_field_class' => 'vc_col-xs-3',
		),
		array(
			"type" => "colorpicker",
			"class" => "",
			"heading" => esc_html__("Font Color", 'thecx'),
			"param_name" => "wd_heading_color",
			"value" => "",
			"group" => "Title Typography",
			"dependency" => Array("element" => "custom_style", "value" => array('yes')),
			'edit_field_class' => 'vc_col-xs-3',
		),
		/////// Sub Title
		array(
			"type" => "dropdown",
			'value' => $wd_fonts_array,
			"heading" => esc_html__("Font Family", 'thecx'),
			"param_name" => "wd_sub_heading_font_family",
			"group" => "SubTitle Typography",
			"dependency" => Array("element" => "custom_style", "value" => array('yes'),
				Array("element" => "headings_layout", "value" => array('s-under-t', 't-under-s', 's-behind-t'))
			),
			'edit_field_class' => 'vc_col-xs-3 vc_column-with-padding',
		),
		array(
			"type" => "dropdown",
			"heading" => esc_html__("Font Style", 'thecx'),
			"param_name" => "wd_sub_heading_font_style",
			'value' => array(
				esc_html__('Normal', 'thecx') => 'normal',
				esc_html__('Italic', 'thecx') => 'italic',
				esc_html__('Inherit', 'thecx') => 'inherit',
				esc_html__('Initial', 'thecx') => 'initial',
			),
			"group" => "SubTitle Typography",
			"dependency" => Array("element" => "custom_style", "value" => array('yes'),
				Array("element" => "headings_layout", "value" => array('s-under-t', 't-under-s', 's-behind-t'))
			),
			'edit_field_class' => 'vc_col-xs-3',

		),
		array(
			"type" => "dropdown",
			"heading" => esc_html__("Font Weight", 'thecx'),
			"param_name" => "wd_sub_heading_font_weight",
			'value' => array(
				esc_html__('Default', 'thecx') => '',
				'100' => '100',
				'200' => '200',
				'300' => '300',
				'400' => '400',
				'500' => '500',
				'600' => '600',
				'700' => '700',
				'800' => '800',
				'900' => '900',
			),
			"group" => "SubTitle Typography",
			"dependency" => Array("element" => "custom_style", "value" => array('yes'),
				Array("element" => "headings_layout", "value" => array('s-under-t', 't-under-s', 's-behind-t'))
			),
			'edit_field_class' => 'vc_col-xs-3',
		),
		array(
			"type" => "dropdown",
			"heading" => esc_html__("Text Transform", 'thecx'),
			"param_name" => "wd_sub_heading_text_transform",
			'value' => array(
				esc_html__('Default', 'thecx') => 'None',
				'lowercase' => 'Lowercase',
				'uppercase' => 'Uppercase',
				'capitalize' => 'Capitalize',
				'inherit' => 'Inherit',
			),
			"group" => "SubTitle Typography",
			"dependency" => Array("element" => "custom_style", "value" => array('yes'),
				Array("element" => "headings_layout", "value" => array('s-under-t', 't-under-s', 's-behind-t'))
			),
			'edit_field_class' => 'vc_col-xs-3',
		),
		array(
			"type" => "textfield",
			"class" => "",
			"heading" => esc_html__("Font Size", 'thecx'),
			"param_name" => "wd_sub_heading_font_size",
			"min" => 14,
			"suffix" => "px",
			"group" => "SubTitle Typography",
			"dependency" => Array("element" => "custom_style", "value" => array('yes'),
				Array("element" => "headings_layout", "value" => array('s-under-t', 't-under-s', 's-behind-t'))
			),
			'edit_field_class' => 'vc_col-xs-3',
		),
		array(
			"type" => "textfield",
			"class" => "",
			"heading" => esc_html__("Line Height", 'thecx'),
			"param_name" => "wd_sub_heading_line_height",
			"value" => "",
			"suffix" => "px",
			"group" => "SubTitle Typography",
			"dependency" => Array("element" => "custom_style", "value" => array('yes'),
				Array("element" => "headings_layout", "value" => array('s-under-t', 't-under-s', 's-behind-t'))
			),
			'edit_field_class' => 'vc_col-xs-3',
		),
		array(
			"type" => "textfield",
			"class" => "",
			"heading" => esc_html__("Letter spacing", 'thecx'),
			"param_name" => "wd_sub_heading_letter_spacing",
			"value" => "",
			"suffix" => "px",
			"group" => "SubTitle Typography",
			"dependency" => Array("element" => "custom_style", "value" => array('yes'),
				Array("element" => "headings_layout", "value" => array('s-under-t', 't-under-s', 's-behind-t'))
			),
			'edit_field_class' => 'vc_col-xs-3',
		),
		array(
			"type" => "colorpicker",
			"class" => "",
			"heading" => esc_html__("Font Color", 'thecx'),
			"param_name" => "wd_sub_heading_color",
			"value" => "",
			"group" => "SubTitle Typography",
			"dependency" => Array("element" => "custom_style", "value" => array('yes'),
				Array("element" => "headings_layout", "value" => array('s-under-t', 't-under-s', 's-behind-t'))
			),
			'edit_field_class' => 'vc_col-xs-3',
		),

		array(
			"type" => "textfield",
			"class" => "",
			"heading" => esc_html__("Extra class name", 'thecx'),
			"param_name" => "heading_extraclass",
			"value" => "",
			"dependency" => Array("element" => "custom_style", "value" => array('yes')),
		),

		array(
			"type" => "textfield",
			"class" => "",
			"heading" => esc_html__("Desktop top Space", 'thecx'),
			"param_name" => "heading_top_d_space",
			"value" => "",
			"suffix" => "px",
			"group" => "Space Before & After",
			"dependency" => Array("element" => "custom_style", "value" => array('yes')),
			'edit_field_class' => 'vc_col-xs-4',
	),
	array(
			"type" => "textfield",
			"class" => "",
			"heading" => esc_html__("Tablet top Space", 'thecx'),
			"param_name" => "heading_top_t_space",
			"value" => "",
			"suffix" => "px",
			"group" => "Space Before & After",
			"dependency" => Array("element" => "custom_style", "value" => array('yes')),
			'edit_field_class' => 'vc_col-xs-4',
	),
	array(
			"type" => "textfield",
			"class" => "",
			"heading" => esc_html__("Mobile top Space", 'thecx'),
			"param_name" => "heading_top_m_space",
			"value" => "",
			"suffix" => "px",
			"group" => "Space Before & After",
			"dependency" => Array("element" => "custom_style", "value" => array('yes')),
			'edit_field_class' => 'vc_col-xs-4',
	),
	array(
			"type" => "textfield",
			"class" => "",
			"heading" => esc_html__("Desktop Bottom Space", 'thecx'),
			"param_name" => "heading_bottom_d_space",
			"value" => "",
			"suffix" => "px",
			"group" => "Space Before & After",
			"dependency" => Array("element" => "custom_style", "value" => array('yes')),
			'edit_field_class' => 'vc_col-xs-4',
	),
	array(
			"type" => "textfield",
			"class" => "",
			"heading" => esc_html__("Tablet Bottom Space", 'thecx'),
			"param_name" => "heading_bottom_t_space",
			"value" => "",
			"suffix" => "px",
			"group" => "Space Before & After",
			"dependency" => Array("element" => "custom_style", "value" => array('yes')),
			'edit_field_class' => 'vc_col-xs-4',
	),
	array(
			"type" => "textfield",
			"class" => "",
			"heading" => esc_html__("Mobile Bottom Space", 'thecx'),
			"param_name" => "heading_bottom_m_space",
			"value" => "",
			"suffix" => "px",
			"group" => "Space Before & After",
			"dependency" => Array("element" => "custom_style", "value" => array('yes')),
			'edit_field_class' => 'vc_col-xs-4',
	),

		$vc_add_css_animation

	)
));