<?php
global $vc_add_css_animation;

vc_map(array(
    "name" => esc_html__("Text Block with Icon", 'thecx'),
    "base" => "wd_icon_text",
    "icon" => get_template_directory_uri() . "/images/icon/meknes.png",
    "content_element" => true,
    "is_container" => false,
    "category" => 'Webdevia',
    "params" => array(
        array(
            "type" => "textfield", // it will bind a textfield in WP
            "heading" => esc_html__("Title", 'thecx'),
            "param_name" => "title",
            "admin_label" => true,
        ),
        array(
            "type" => "vc_link", // it will bind a textfield in WP
            "heading" => esc_html__("Link", 'thecx'),
            "param_name" => "box_link",
        ),
        array(
            "type" => "textarea", // it will bind a textfield in WP
            "heading" => esc_html__("Text", 'thecx'),
            "param_name" => "text",
        ),
        array(
            "type" => "dropdown",
            "heading" => esc_html__("Box Shadow", 'thecx'),
            "param_name" => "box_shadow",
            "value" => array(
                "Small shadow" => "small-shadow",
                "Medium shadow" => "medium-shadow",
                "Large shadow" => "large-shadow",
                "Border" => "border-shadow",
                "None" => "none",
            ),
            'group' => __('Box style', 'thecx'),
        ),
        array(
            "type" => "checkbox",
            "heading" => esc_html__("Add hover animation", 'thecx'),
            "param_name" => "hover_animation",
            "std" => "yes",
            'value' => array(esc_html__('Yes, please', 'thecx') => 'yes'),
            'group' => __('Box style', 'thecx'),
        ),
	    array(
		    "type" => "textfield", // it will bind a textfield in WP
		    "heading" => esc_html__("Inner content padding", 'thecx'),
		    "param_name" => "inner_padding",
		    "admin_label" => true,
		    'group' => __('Box style', 'thecx'),
	    ),
        array(
            'type' => 'css_editor',
            'heading' => __('Css', 'thecx'),
            'param_name' => 'css',
            'group' => __('Design options', 'thecx'),
        ),
        array(
            'type' => 'dropdown',
            'heading' => esc_html__('Image type:', 'thecx'),
            'param_name' => 'choice',
            'value' => array(
                'Icon' => 'icon_choice',
                'Image File (png, jpg, svg, gif)' => 'image_choice',
                'SVG Code' => 'svg_choice',
            ),
        ),
        array(
            "type" => "iconpicker", // it will bind a textfield in WP
            "heading" => esc_html__("Icon", 'thecx'),
            "param_name" => "icon",

            "dependency" => Array("element" => "choice", "value" => array('icon_choice'))
        ),
        array(
            "type" => "colorpicker", // it will bind a textfield in WP
            "heading" => esc_html__("Icon Color", 'thecx'),
            "param_name" => "icon_color",

            "dependency" => Array("element" => "choice", "value" => array('icon_choice'))
        ),
        array(
            "type" => "attach_image", // it will bind a textfield in WP
            "heading" => esc_html__("Image File", 'thecx'),
            "param_name" => "image",
            "dependency" => Array("element" => "choice", "value" => array('image_choice'))
        ),
        array(
            "type" => "textfield", // it will bind a textfield in WP
            "heading" => esc_html__("Image width", 'thecx'),
            "param_name" => "image_width",
            "dependency" => Array("element" => "choice", "value" => array('image_choice'))
        ),
        array(
            "type" => "textarea_raw_html", // it will bind a textfield in WP
            "heading" => esc_html__("SVG Code", 'thecx'),
            "param_name" => "secondary_svg",

            "dependency" => Array("element" => "choice", "value" => array('svg_choice'))
        ),
        array(
            'type' => 'dropdown',
            'heading' => esc_html__('Icon / Image / SVG Position', 'thecx'),
            'param_name' => 'position',
            'value' => array(
                'Left' => 'left_position',
                'Top' => 'top_position',
                'Right' => 'right_position',
            ),
        ),
        array(
            'type' => 'dropdown',
            'heading' => esc_html__('Text Align', 'thecx'),
            'param_name' => 'text_align',
            'value' => array(
                'Center' => 'center',
                'left' => 'left',
                'Right' => 'right',
            ),
            "dependency" => Array("element" => "position", "value" => array('top_position'))
        ),

        array(
            "type" => "checkbox",
            "param_name" => "enable_split",
            "heading" => esc_html__("Enable Split?", "thecx"),
        ),
        array(
            "type" => "dropdown",
            "param_name" => "split_type",
            "heading" => esc_html__("Split Type", "thecx"),
            "value" => array(
                esc_html__("Lines", "thecx") => "lines",
                esc_html__("Characters", "thecx") => "chars, words",
                esc_html__("Words", "thecx") => "words",
            ),
            "dependency" => array(
                "element" => "enable_split",
                "value" => "true",
            )
        ),
        array(
            'type' => 'checkbox',
            'param_name' => 'enable_content_animation',
            'value' => array(esc_html__('Yes', 'thecx') => 'yes'),
            'heading' => esc_html__('Custom Animation', 'thecx'),
            'description' => esc_html__('Will enable animation, it will be animated when it "enters" the browsers viewport.', 'thecx'),
        ),
    )
));

wdevia_vc_add_animation_param("wd_icon_text");